> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trilly.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Verifica Stato Messaggio

> Questa chiamata consente, a partire dall’ID Messaggio, di sapere lo stato del messaggio.



## OpenAPI

````yaml GET /api/message/{id_messaggio}/status
openapi: 3.1.0
info:
  title: Trilly API
  description: Trilly APIs
  version: 1.0.0
servers:
  - url: https://backend.trilly.chat
security: []
paths:
  /api/message/{id_messaggio}/status:
    get:
      summary: Verifica Stato messaggio
      description: >-
        Questa chiamata consente, a partire dall’ID Messaggio, di sapere lo
        stato del messaggio.
      parameters:
        - name: id_messaggio
          in: path
          required: true
          schema:
            type: string
          description: L'id del messaggio.
        - name: api_key
          in: query
          schema:
            type: string
          description: L'ApiKey dell'utente.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: L'ID del messaggio.
                  status:
                    type: string
                    enum:
                      - FAILED
                      - COMPLETED
                      - PENDING
                      - CANCELLED
                      - RESCHEDULED
                      - BLACKLISTED
                    description: Lo stato del messaggio.
              example:
                id: ID_MESSAGGIO
                status: COMPLETED

````